
require 'system/debugger'
require 'system/namespace'
require 'system/globalMeta'
require 'system/class'
require 'system/serializer'
require 'system/UpdateManager'
require 'system/SaveManager'
require 'system/gc'
require 'system/Serializable'
require 'system/utils'
require 'system/Scenario'
require 'system/options'
require 'system/keyboard'
require 'system/events'

requireDirectory('scripts/configs/normal', true)

requireDirectory('scripts/common', true)
requireDirectory('scripts/gui', true)
requireDirectory('scripts/buildings', true)
requireDirectory('scripts/live', true)
requireDirectory('scripts/tasks', true)
requireDirectory('scripts/quests', true)

require "vinay_res"
vnyDbgInfo = VinayDebugInfo:new (nil)